package cn.net.caoyao.cpzshandset.service.presenter;

import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface DeviceIdConfigConstact {
	interface View extends BaseView<Presenter> {
		void setCurrentIdText(String currentText);
		void setCurrentScanIdText(String currentScanText);
		void setEtText(String etText);
		String getCurrentIdText();
		String getEtText();
		void readQRCode();
		void finishPage();
		void vibrate(int duration);
	}

	interface Presenter extends BasePresenter {
		void scannerClick();
		void completeClick();
	}
}
